- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
WP3Header Class Reference

`#include <WP3Header.h>`

Inheritance diagram for WP3Header:

## Public Member Functions
| WP3Header (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned documentOffset, unsigned char productType, unsigned char fileType, unsigned char majorVersion, unsigned char minorVersion, unsigned short documentEncryption)
| ~WP3Header ()
Public Member Functions inherited from WPXHeader
| WPXHeader (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned documentOffset, unsigned char productType, unsigned char fileType, unsigned char majorVersion, unsigned char minorVersion, unsigned short documentEncryption)
virtual | ~WPXHeader ()
unsigned | getDocumentOffset () const
unsigned char | getProductType () const
unsigned char | getFileType () const
unsigned char | getMajorVersion () const
unsigned char | getMinorVersion () const
unsigned short | getDocumentEncryption () const

## Additional Inherited Members
Static Public Member Functions inherited from WPXHeader
static WPXHeader * | constructHeader (librevenge::RVNGInputStream *input, WPXEncryption *encryption)

## Constructor & Destructor Documentation

WP3Header::WP3Header | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | unsigned | documentOffset,
|  | unsigned char | productType,
|  | unsigned char | fileType,
|  | unsigned char | majorVersion,
|  | unsigned char | minorVersion,
|  | unsigned short | documentEncryption
| ) |  |

WP3Header::~WP3Header | ( |  | ) |
| inline

The documentation for this class was generated from the following files:

- WP3Header.h
- WP3Header.cpp